Bug 229417 - Review Request: python-qpid - qpid's python implementation
Review Request: python-qpid - qpid's python implementation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-20 17:01 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 10:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-20 17:01:20 EST
Spec URL: http://people.redhat.com/rafaels/specs/qpidpy.spec
SRPM URL: http://people.redhat.com/rafaels/srpms/qpidpy-0.1-2rhm.src.rpm
Description: Apache Qpid's python implementation of AMQP.
Comment 1 Nuno Santos 2007-02-20 17:35:19 EST
qpidpy-0.1-2rhm.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
NO * if %{?dist} is used, it should be in that form (note the ? and %
locations)

--
dist not used
--

NO * license text included in package and marked with %doc

--
included but not marked with %doc
--

OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint qpidpy-0.1-2rhm.src.rpm 
W: qpidpy non-standard-group Development/Python
(minor warning, should be ok)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
NO * make sure lines are <= 80 characters

--
lines 10 and 33 are longer than 80 chars
--

OK * specfile written in American English
NA * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
NA * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
NO * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
NA * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NO * package should include license text in the package and mark it with %doc

--
included but not marked with %doc
--

?? * package should build on i386
?? * package should build in mock
Comment 3 Nuno Santos 2007-03-20 08:55:08 EDT
Approved
Comment 4 Nuno Santos 2007-03-20 08:57:26 EDT
New Package CVS Request
=======================
Package Name: qpidpy
Short Description: Python language client for AMQP
Owners: nsantos@redhat.com
Branches: devel
InitialCC: rafaels@redhat.com,dbhole@redhat.com
Comment 5 Warren Togami 2007-03-21 18:42:50 EDT
- Package name changes and possible sub-package breakouts are needed.
- qpid is not part of any Fedora spin.

For these reasons, I recommend that qpidrb and quidpy be removed from Extras
devel until they are fixed properly.  It is permissible to do such activity
within Extras within the next two weeks (possibly more), so don't worry.

This review is UNAPPROVED.
Comment 7 Nuno Santos 2007-04-16 13:56:43 EDT
I've reviewed the updated package and I believe that it complies with all Fedora
packaging guidelines, including Python-specific guidelines:

python-qpid-0.1-1.fc7.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK  - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
NA - non-numeric characters should only be used in Release (ie. cvs or
   something)
NA - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
NA - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK  - use acronyms for licences where common
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint python-qpid-0.1-1.fc7.src.rpm 
W: python-qpid non-standard-group Development/Python
(this warning is ok, based on other approved packages)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
OK * package successfully compiles and builds on at least x86
OK * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
NA * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
NA * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
OK * verify the final provides and requires of the binary RPMs

--
$ rpm -qp  /usr/src/redhat/RPMS/noarch/python-qpid-0.1-1.noarch.rpm --provides
python-qpid = 0.1-1
$ rpm -qp  /usr/src/redhat/RPMS/noarch/python-qpid-0.1-1.noarch.rpm --requires
amqp  
python  
python(abi) = 2.4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
--

SHOULD:
OK * package should include license text in the package and mark it with %doc
OK * package should build on i386
OK * package should build in mock


Python-specific guidelines:
OK * naming: python-<package>
OK * define python_sitelib at the top of your specfile
OK * During %install, or when listing %files, you can use the %{python_sitelib}
macro to specify the path
OK * Byte Compiled Files: If you are only going to build for Fedora Core >= 4
and RHEL >= 5, rpm has a script that will create the files for you. All you have
to do is remember to include the files in your spec file


I'm marking this as APPROVED.
Comment 8 Nuno Santos 2007-04-16 14:25:04 EDT
New Package CVS Request
=======================
Package Name: python-qpid
Short Description: Python language client for AMQP
Owners: rafaels@redhat.com,nsantos@redhat.com
Branches: 
InitialCC: 
Comment 9 Nuno Santos 2007-10-26 11:40:14 EDT
Package Change Request
======================
Package Name: python-qpid
New Branches: F-7 F-8

Please add branches to allow inclusion in F-7 updates and F-8 updates.
Comment 10 Warren Togami 2007-10-29 13:25:37 EDT
Again, these already exist.  What is your actual goal here?
Comment 11 Darryl L. Pierce 2013-06-17 07:37:07 EDT
Package Change Request
======================
Package Name: python-qpid
New Branches: el5 el6
Owners: mcpierce
Comment 12 Jon Ciesla 2013-06-17 08:12:16 EDT
Git done (by process-git-requests).
Comment 14 Darryl L. Pierce 2014-02-18 13:33:49 EST
Package Change Request
======================
Package Name: python-qpid
New Branches: el5 el6
Owners: mcpierce
Comment 15 Jon Ciesla 2014-02-18 13:38:04 EST
Unretired EL-5 and EL-6.
Comment 16 Darryl L. Pierce 2014-05-30 15:44:53 EDT
Package Change Request
======================
Package Name: python-qpid
New Branches: epel7
Owners: mcpierce
Comment 17 Jon Ciesla 2014-06-02 07:50:45 EDT
Added you to commiters but am unable to unorphan, investigating.

Note You need to log in before you can comment on or make changes to this bug.